Package twisted :: Package web :: Module widgets :: Class Reloader

[show private | hide private]
[frames | no frames]

## Class Reloader

      Widget --+
               |
    Presentation --+
                   |
                  Reloader

Method Summary
| `__init__(self, modules)`
| `addClassVars(self, namespace, Class)` (inherited from `Presentation`)
| `addVariables(self, namespace, request)` (inherited from `Presentation`)
| ``display`(self, request)` Implement me to represent your widget. (inherited from `Presentation`)
| `formatTraceback(self, tb)` (inherited from `Presentation`)
| `getTitle(self, request)` (inherited from `Widget`)
| ``prePresent`(self, request)` Perform any tasks which must be done before presenting the page. (inherited from `Presentation`)
| `reload(self, request)`
| ``streamCall`(self, call, *args, **kw)` Utility: Call a method like StreamWidget's 'stream'. (inherited from `Presentation`)

Class Variable Summary
`string` | `template`

Class Variable Details

### template

  Type:
    `string`
  Value:

        '''
            Reloading...
            <ul>
            %%%%reload(request)%%%%
            </ul> ... reloaded!
            '''

Generated by Epydoc 1.1 on Sat Feb 15 21:18:17 2003 | http://epydoc.sf.net